Description

Currently kafo works the UNIX way - silence if no params are provided, which is cool, but for the huge installer | think we can print
something.

When puppet returns OK, then we should output something like:

Installation was successful.
You can now login at http://host/foreman

If there was an error, we should print something like:

Installation was NOT successful.
Please search /var/log/foreman-installer/foreman—-installer.log for ERRORs

Associated revisions

Revision 448ba8b5 - 09/26/2013 03:01 PM - Greg Sutcliffe

Fixes #3131 - Output information at the end of the foreman-installer execution

Revision 7a6bb461 - 09/30/2013 01:03 PM - Lukas Zapletal
Merge pull request #67 from GregSutcliffe/develop

Fixes #3131 - Output information at the end of the foreman-installer

History

#1 - 09/20/2013 01:00 PM - Greg Sutcliffe

| think this is a job for the foreman-installer script - perhaps Kafo could return a hash of interesting data for the frontend to use as it likes?

#2 - 09/20/2013 03:27 PM - Lukas Zapletal

| think kafo is the right place. It also knows the log file from kafo configuration. Let's wait for Marek.

#3 - 09/25/2013 07:16 AM - Lukas Zapletal
- Priority changed from Normal to Urgent

- Target version set to 1.3.0

This is critical bug for 1.3. If the configuration fails, there is no output. We need to print out at least there was an error, preferably all the ERROR
messages.

#4 - 09/26/2013 10:53 AM - Greg Sutcliffe

Why would Kafo, a generic library for building application installaters, print a message specific to the Foreman Installer? | think KafoConfigure.run
(which is called in /usr/bin/foreman-installer) needs to return some useful data (such as the number of errors, etc) and the the foreman-installer script
can decide what to do with it. Something like

CONFIG_FILE = "/usr/share/foreman-installer/config/foreman—-installer.yaml"
result = KafoConfigure.run

if result[:exitstatus] == 0
url = YAML.load_file (CONFIG_FILE)
puts "Success! You can login a https://#{url}i"
else
puts "Installation not successful - there were #{result[:num_errors]} errors - see /var/log/foreman-installe
r for more detail'
end

exit result[:exitstatus]
This would allow the installer script to interpret the results from Kafo in any way it chooses.
#5 - 09/26/2013 11:49 AM - Greg Sutcliffe

- Project changed from Kafo to Installer

- Assignee set to Greg Sutcliffe

We can do this with the data Kafo returns to us today, doing it now.

#6 - 09/26/2013 12:36 PM - Marek Hulan

Also note that with progress bar you'll see the result so you don't need to hack foreman-installer itself.

#7 - 09/26/2013 05:09 PM - Greg Sutcliffe
- Status changed from New to Ready For Testing

Yeah, I'm fine with the puppet output coming from Kafo (progress bar, debug logs, etc). It's the project-specific text which should be kept to the
wrapper.

https://github.com/theforeman/foreman-installer/pull/67

#8 - 09/27/2013 07:30 AM - Lukas Zapletal
- Related to Tracker #3112: [TRACKER)| Issues to be released in 1.3 RC or final added

#9 - 09/30/2013 01:04 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Merged with 7a6bb46

#10 - 09/30/2013 04:07 PM - Lukas Zapletal
- Related to deleted (Tracker #3112: [TRACKER)] Issues to be released in 1.3 RC or final)

05/21/2024 22


https://github.com/theforeman/foreman-installer/pull/67
http://www.tcpdf.org

